function Vy = vdecom_table(gx,hx,eta,var_idx,var_names)

disp('Variance Decomposition')
[Vy,Vx] = variance_decomposition(gx,hx,eta);
neps = size(Vy,1);

Vy = [Vy,Vx];

Vy = Vy(:,var_idx);


sformat = '%1.4f\t';
yidx = var_idx(1);
tit_str = [];
for j = 1:length(var_idx)
    idx = var_idx(j);
    tit_str = [tit_str, var_names{j}, '\t'];
end


disp(sprintf(tit_str))
for j = 1:neps
    disp(sprintf(sformat, Vy(j,:))) 
end